apiVersion: v1
kind: Service
metadata:
    name: test-service
spec:
    type: NodePort
    selector:
        app: ENC[AES256_GCM,data:WgcWa/4AxtrIB1Dvdg==,iv:YzlP6jqzbqjZNRM2Vn1IFSvbKe7iOou85K0QPtEEf3g=,tag:nkP9GMsppjY2689Ynh7t3A==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:wzI=,iv:XZbm6shZwaOFMNnmBDN2ENMlV2DPl8QKje8HhDY+2fU=,tag:ZGi7nmgGjDsAIka2vS+lbw==,type:int]
          targetPort: ENC[AES256_GCM,data:tU0=,iv:8KXlQhQ33bx4hA3gOlMttvp1PruR9iLUSqbtOWauJ80=,tag:DmD7prnvicPQx26OektavQ==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBHb0xuUEgwQ1pvam4zeVVk
            VDlYMTErZXY0WTMvUjlUQXo1M1BKd0d6YmtVCkxxR2F6c2J1Z2ZuTHFKblhJY3J5
            eTZqblVEVGMrN3cyVVBVbGN1aERicUEKLS0tIFJZMFJ4QVQ4U214ZXhZR2J1c2xY
            Tmd1NnBmU3RNWDduUVY0K3N1K2VrYUUKOut8eJxl1erU87V1N341ZrSW9dyUH2Ku
            O7mmi7OnQLnzylxp/d9JUiYHTgQ90K/xhmVe+cCFacWlBPmXRNyr+w==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:10Z"
    mac: ENC[AES256_GCM,data:2PimPiVt3o2PRnhJLIW//LYRS3SXGTlyNzlIRGUwEZIIIYwGhyk8wyIah2ru7cdsca2TyrvHMgfjMm/wmznnmN1KnhDQt03PYxPhThzmPWU8OquoZrEgP/JsEX1RmHdZKKtyN9R2V/BUm3n/uiWV9A53PmgILxoWKDoUjtyaMFI=,iv:I3PH0WmWyN1ItaYdWo8RF86lBL8+J4RioPDd+2nG4Q0=,tag:ChRprsEtBh/jCnDdXewuNQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: test-deployment
spec:
    replicas: ENC[AES256_GCM,data:9w==,iv:0+EdpdRQPLq4xEnIpvzQfLZbHXbXzJ6DidfSBjn4gn4=,tag:LN0UAk2eLh1PEJT8dh5+hA==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:xsdLe70M/1pLVqPxSg==,iv:7AAHwhQ0AqbvXXPpa/VE9Zk4kyzlxudGgsQc2aIYbMw=,tag:mzmIeoPJX9MWXOts1SftXQ==,type:str]
    template:
        metadata:
            labels:
                app: example-nginx
        spec:
            containers:
                - name: ENC[AES256_GCM,data:laraW+/S9BDCc/9Hi2JjE6nid7/QJA==,iv:pZMxANICDt55o0NixbpWaVxfeNwZUkNu9t+ueypR81Q=,tag:mTW187LgvF9OlDRh8ZKTsw==,type:str]
                  image: ENC[AES256_GCM,data:rUN0KVLGGbwTzNw73HyLz7v5Ep9xm70xNSZ2TFowbXR01QserwSDTMw6iAIDkvnFWifCvA==,iv:j+2bMOgBKkSFbCUY5SldxgQZznMUPA5DUrvA9+HMZHM=,tag:D64a1oIpAuG0vDfUDztuzg==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:LyRbkn1y,iv:4RYdSNNBbx5fGHdG2TD3YYMfNAwC4CezQqX5G/wq7aQ=,tag:SktgOt+amTvoIuGqliGdoQ==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:ulY=,iv:Znid2nGkJ9l8G2CyqUnqagFZlBJG+MFCNqtgi42CAdk=,tag:1/l4qnNJn17/f9QRDlPF0w==,type:int]
            imagePullSecrets:
                - name: ENC[AES256_GCM,data:HaLN9SISgQox7aCQxAcOk3w/+KTjaQ==,iv:wr2uKqTym66MlDhwgdQ7o0P0dV+uE9CPqvyETUqy4yE=,tag:O3Juu7NrxUkd4orDaatbog==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBHb0xuUEgwQ1pvam4zeVVk
            VDlYMTErZXY0WTMvUjlUQXo1M1BKd0d6YmtVCkxxR2F6c2J1Z2ZuTHFKblhJY3J5
            eTZqblVEVGMrN3cyVVBVbGN1aERicUEKLS0tIFJZMFJ4QVQ4U214ZXhZR2J1c2xY
            Tmd1NnBmU3RNWDduUVY0K3N1K2VrYUUKOut8eJxl1erU87V1N341ZrSW9dyUH2Ku
            O7mmi7OnQLnzylxp/d9JUiYHTgQ90K/xhmVe+cCFacWlBPmXRNyr+w==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:10Z"
    mac: ENC[AES256_GCM,data:2PimPiVt3o2PRnhJLIW//LYRS3SXGTlyNzlIRGUwEZIIIYwGhyk8wyIah2ru7cdsca2TyrvHMgfjMm/wmznnmN1KnhDQt03PYxPhThzmPWU8OquoZrEgP/JsEX1RmHdZKKtyN9R2V/BUm3n/uiWV9A53PmgILxoWKDoUjtyaMFI=,iv:I3PH0WmWyN1ItaYdWo8RF86lBL8+J4RioPDd+2nG4Q0=,tag:ChRprsEtBh/jCnDdXewuNQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
